> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Status

> Transactions can be of three types DEPOSITS (credits), REFUND (debits), CHARGEBACK (debits).

 Each payment attempt by the customer in a billing session, subscription, and invoice creates a new transaction. All the transactions created for a billing session, subscription, and invoice are linked and can be fetched individually as well. Each payment attempt can be created using a different payment method.

 This API is used for getting a specific transaction. The partner can pass the _id as txId or pass the ref_id that was used in the initiation of the payment.



## OpenAPI

````yaml /api-reference/pacb/pacb.json post /transaction/v1.0/getTransaction
openapi: 3.0.3
info:
  title: PACB API
  description: PACB API
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /transaction/v1.0/getTransaction:
    post:
      tags:
        - Transaction
      summary: Get Transaction Status
      description: >-
        Transactions can be of three types DEPOSITS (credits), REFUND (debits),
        CHARGEBACK (debits).

         Each payment attempt by the customer in a billing session, subscription, and invoice creates a new transaction. All the transactions created for a billing session, subscription, and invoice are linked and can be fetched individually as well. Each payment attempt can be created using a different payment method.

         This API is used for getting a specific transaction. The partner can pass the _id as txId or pass the ref_id that was used in the initiation of the payment.
      operationId: getTransactionStatus
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                txId:
                  type: string
                  description: >-
                    Used for getting transactions by its _id. Example:
                    `60070893f0112543a139c559`

                    txId or referenceId or txHash one of the param is mandatory
                    both cannot be empty.
                referenceId:
                  type: string
                  description: >-
                    Used for getting transactions by its partner reference ID.
                    Example: `60070893f0112543a139c559`.
                txHash:
                  type: string
                  description: Acquirer reference ID.
      responses:
        '200':
          description: It will return txn data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getTransaction'
components:
  schemas:
    getTransaction:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: It will return txn data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.